%global namedreltag -rc1
%global namedversion %{version}%{?namedreltag}
Name:                jdo-api
Version:             3.1
Release:             1
Summary:             JDO 3.1 API
License:             ASL 2.0
URL:                 http://db.apache.org/jdo/
Source0:             http://mirror.ox.ac.uk/sites/rsync.apache.org//db/jdo/3.1-rc1/jdo-3.1-rc1-src.tar.gz
BuildRequires:       mvn(javax.transaction:jta) mvn(org.apache.ant:ant)
BuildRequires:       mvn(org.apache.maven.shared:maven-shared-components:pom:)
%if 0
BuildRequires:       mvn(com.mchange:c3p0) mvn(log4j:log4j) mvn(org.datanucleus:datanucleus-api-jdo)
BuildRequires:       mvn(org.datanucleus:datanucleus-api-jpa) mvn(org.datanucleus:datanucleus-core)
BuildRequires:       mvn(org.datanucleus:datanucleus-rdbms)
BuildRequires:       mvn(commons-collections:commons-collections) mvn(commons-io:commons-io)
BuildRequires:       mvn(junit:junit) mvn(org.apache.derby:derby) mvn(org.apache.derby:derbytools)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api) mvn(org.springframework:spring-core)
BuildRequires:       mvn(org.springframework:spring-beans) mvn(commons-logging:commons-logging)
BuildRequires:       mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
%endif
BuildRequires:       mvn(junit:junit)
BuildRequires:       maven-local maven-plugin-bundle maven-remote-resources-plugin maven-site-plugin
BuildArch:           noarch
%description
The Java Data Objects (JDO) API is a standard interface
based Java model abstraction of persistence, developed as
Java Specification Requests (JSR 12 and 243) under the
auspices of the Java Community Process.

%package javadoc
Summary:             Javadoc for jdo-api
%description javadoc
This package contains javadoc for jdo-api.

%prep
%setup -q -c -n jdo-api-%{namedversion}
%pom_xpath_set "pom:dependencies/pom:dependency[pom:groupId = 'javax.transaction' ]/pom:artifactId" jta parent-pom
%pom_xpath_set "pom:dependencies/pom:dependency[pom:groupId = 'javax.transaction' ]/pom:artifactId" jta api
%pom_remove_plugin :maven-source-plugin api
%if 0
%pom_xpath_set "pom:dependencies/pom:dependency[pom:groupId = 'javax.transaction' ]/pom:artifactId" jta tck
%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId = 'c3p0' ]/pom:groupId" com.mchange copyjdorijars
%pom_change_dep org.apache.geronimo.specs:geronimo-jpa_2.0_spec org.hibernate.javax.persistence:hibernate-jpa-2.0-api tck
%pom_change_dep org.apache.geronimo.specs:geronimo-jpa_2.0_spec org.hibernate.javax.persistence:hibernate-jpa-2.0-api exectck
%endif
%pom_disable_module copyjdorijars
%pom_disable_module exectck
%pom_disable_module tck
rm -r api/test/java/javax/jdo/EnhancerTest.java \
 api/test/java/javax/jdo/PMFMapMapTest.java
%mvn_file :jdo-api jdo-api

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.html
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Fri Aug 21 2020 yaokai <yaokai13@huawei.com> - 3.1-1
- package init
